Subject: Re: [sip-overload] draft-jones-sip-overload-sce-00.txt

From: Victor Pascual Avila <[email-masked]>
Date: Wed, 7 Jul 2010 02:10:30 +0200

The authors would appreciate feedback as to whether this is helpful
and going in the right direction, as well as detailed comments:
http://www.ietf.org/id/draft-jones-sip-overload-sce-00.txt

Thanks,
-Victor

On Thu, Jul 1, 2010 at 7:05 AM, Paul E. Jones <[email-masked]> wrote:
> Folks,
>
> I would like to bring to your attention an initial draft related to overload
> control of SIP servers, with a particular emphasis on servers that are not
> SIP proxies (i.e., B2BUAs and GWs).
>
> During the call on Tuesday, I think we gained a better understanding of the
> scope of the work done on overload control to this point.  We definitely
> agree that a rate-based mechanism is very appropriate for SIP proxy servers.
> However, in any SIP network, there are many SBCs, GWs, and other such
> devices that are constrained by various resources that can be summarily
> represented with a single capacity value that we refer to as the Session
> Capacity Estimate.
>
> The idea is that a device (e.g., SBC, PBX, etc.) that wishes to select from
> amongst any number of peer devices (other SBCs, GWs, etc.) would use the SCE
> value in order to help in this selection process.  To avoid directing too
> much traffic too quickly, we assume the rate control mechanisms currently
> under discussion in this WG might also be employed.  Alternatively, the
> device might use a simple round-robin approach to selecting a peer device.
> The latter has proven to be quite effective in the past, but standardized
> SIP signaling has not been defined thus far.
>
> This is an initial draft and it certainly has room for growth.  However, we
> felt it was important to at least get this on the table for consideration in
> addition to the rate-based control mechanisms that have been identified for
> SIP proxy servers.
>
> Your comments and feedback are most welcome.
>
> Paul
>
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]]
>> On Behalf Of [email-masked]
>> Sent: Thursday, July 01, 2010 12:45 AM
>> To: [email-masked]
>> Subject: I-D Action:draft-jones-sip-overload-sce-00.txt
>>
>> A New Internet-Draft is available from the on-line Internet-Drafts
>> directories.
>>
>>       Title           : Transmission of a Session Capacity Estimate (SCE)
>> to Prevent Session Initiation Protocol (SIP) Server Overload
>>       Author(s)       : P. Jones, et al.
>>       Filename        : draft-jones-sip-overload-sce-00.txt
>>       Pages           : 6
>>       Date            : 2010-06-30
>>
>> This memo describes a method of preventing overload of Session Initiation
>> Protocol (SIP) servers through the calculation, conveyance, and usage of a
>> value referred to as the Session Capacity Estimate (SCE), a value that
>> summarily represents the capacity of a SIP server.
>>
>> A URL for this Internet-Draft is:
>> http://www.ietf.org/internet-drafts/draft-jones-sip-overload-sce-00.txt
>>
>> Internet-Drafts are also available by anonymous FTP at:
>> ftp://ftp.ietf.org/internet-drafts/
>>
>> Below is the data which will enable a MIME compliant mail reader
>> implementation to automatically retrieve the ASCII version of the
>> Internet-Draft.
>
> _______________________________________________
> sip-overload mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sip-overload
>

-- 
Victor Pascual Ávila